Bug 501408 - X freeze/lockup after possible circular locking dependency detected with 4GB ram
X freeze/lockup after possible circular locking dependency detected with 4GB ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 21:40 EDT by Michal Pomorski
Modified: 2010-06-28 08:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog from the session that lockups. (29.63 KB, text/plain)
2009-05-18 21:40 EDT, Michal Pomorski
no flags Details
xorg.log from the session that lockups (15.78 KB, text/plain)
2009-05-18 21:42 EDT, Michal Pomorski
no flags Details
Output of lspci. (2.50 KB, text/plain)
2009-05-18 21:43 EDT, Michal Pomorski
no flags Details
Modules loaded when booted without PAE, in X. (2.43 KB, text/plain)
2009-05-18 21:44 EDT, Michal Pomorski
no flags Details

  None (edit)
Description Michal Pomorski 2009-05-18 21:40:51 EDT
Created attachment 344540 [details]
syslog from the session that lockups.

Description of problem:
On a fresh install, when running a PAE kernel with extra debug logging, the following message is recorded:

=======================================================
[ INFO: possible circular locking dependency detected ]
2.6.29.3-140.fc11.i686.PAEdebug #1
-------------------------------------------------------
plymouthd/50 is trying to acquire lock:
 (&fb_info->lock){--..}, at: [<c058f424>] fb_mmap+0x88/0x160

but task is already holding lock:
 (&mm->mmap_sem){----}, at: [<c040c4f2>] sys_mmap2+0x49/0x80

which lock already depends on the new lock.

The system then freezes when starting X if equipped with 4GB ram (might be unrelated).


Version-Release number of selected component (if applicable):
linux 2.6.29.1 PAE, 2.6.29.3 PAE


How reproducible:
   Happens each time.

Steps to Reproduce:
1. On a machine with 4G ram, install F11 preview. After reboot it will just freeze.
2. Next time boot to runlevel 3 - text multiuser (add 3 to the grub kernel boot line)
3. Connect to a network, run dhclient, install the kernel PAEdebug. You may even update the system and create a user.
4. Boot the debug kernel into runlevel 3. Examine output of dmesg.
5. startx and experience the lockup.

Actual results:
Screen freezes.

Expected results:
System boots into the graphical mode.

Additional info:
This all happens on a dual-core hp compaq 6510b laptop with intel GM965/GL960 Integrated Graphics Controller.

The lockups arent very hard as the power button usually works and so does sysrq.

Running the system with 2GB ram or using a non-PAE kernel (thus making 3GB available) allows it to boot properly. In case of the PAEdebug-kernel the lock warning remains. 
 
Logs will follow.

Bug 494435 might be related.
Comment 1 Michal Pomorski 2009-05-18 21:42:11 EDT
Created attachment 344541 [details]
xorg.log from the session that lockups

When booting without PAE or with 2GB ram the log continues with following
messages:
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(II) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(II) intel(0): Set up textured video
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
...
Comment 2 Michal Pomorski 2009-05-18 21:43:23 EDT
Created attachment 344542 [details]
Output of lspci.
Comment 3 Michal Pomorski 2009-05-18 21:44:40 EDT
Created attachment 344543 [details]
Modules loaded when booted without PAE, in X.
Comment 4 Chuck Ebbert 2009-05-20 20:30:49 EDT
This may be fixed in kernel -155 which will be in rawhide tomorrow.
Comment 5 Michal Pomorski 2009-05-22 14:45:32 EDT
Indeed, it doesn't freeze on starting X anymore!
The circular lock message is still there though.
Comment 6 Michal Pomorski 2009-05-31 20:33:20 EDT
The lockups still happen with the -167 kernel but only after some time or when a significant amount of memory has been used.
The display freezes but the mouse pointer moves as if nothing happened. Any other input except for sys-rq does not work. The X log didn't reveal anything suspicious and dmesg still reports the circular lock warning.
Comment 7 Bug Zapper 2009-06-09 12:05:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 10:23:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:35:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.